summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install.sh6
-rw-r--r--scripts/scan-tools.sh10
2 files changed, 13 insertions, 3 deletions
diff --git a/scripts/install.sh b/scripts/install.sh
index bfd2ababc..79bfa36bf 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -150,12 +150,13 @@ if [ $rb532 -ne 0 ];then
rootsize=$(($maxsize-2))
$parted -s $1 unit cyl mkpart primary ext2 0 1
- $parted -s $1 unit cyl mkpartfs primary ext2 1 $rootsize
+ $parted -s $1 unit cyl mkpart primary ext2 1 $rootsize
$parted -s $1 unit cyl mkpart primary fat32 $rootsize $maxsize
$parted -s $1 set 1 boot on
$sfdisk --change-id $1 1 27
$sfdisk --change-id $1 3 88
sleep 2
+ $mke2fs ${1}2
sync
dd if=$3 of=${1}1 bs=2048
sync
@@ -178,10 +179,11 @@ EOF
maxsize=$(env LC_ALL=C $parted $1 -s unit cyl print |awk '/^Disk/ { print $3 }'|sed -e 's/cyl//')
rootsize=$(($maxsize-2))
- $parted -s $1 unit cyl mkpartfs primary ext2 0 $rootsize
+ $parted -s $1 unit cyl mkpart primary ext2 0 $rootsize
$parted -s $1 unit cyl mkpart primary fat32 $rootsize $maxsize
$parted -s $1 set 1 boot on
$sfdisk --change-id $1 2 88
+ $mke2fs ${1}1
fi
fi
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 8d1fa0022..89e368d8b 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -44,7 +44,9 @@ MirBSD)
;;
CYG*)
echo "Building OpenADK on $os needs a small registry change."
- echo 'See http://www.cygwin.com/1.7/cygwin-ug-net/using-specialnames.html'
+ echo 'http://cygwin.com/cygwin-ug-net/using-specialnames.html'
+ echo "You can ignore this message, when you already done the change"
+ sleep 3
;;
NetBSD)
# supported with no extra quirks at the moment
@@ -226,6 +228,12 @@ if ! which perl >/dev/null 2>&1; then
out=1
fi
+if ! which m4 >/dev/null 2>&1; then
+ echo "You must install m4 (macro processor) to continue."
+ echo
+ out=1
+fi
+
cd $topdir
rm -rf tmp